Get Connection
get
/rpa/v1/connections/{identifier}
Gets a Connection by identifier
Request
Path Parameters
-
identifier(required): string
Identifier.
Query Parameters
-
projectId(required): string
Project identifier
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Retrieves the Connection with the given identifier
Headers
-
etag:
For optimistic concurrency control. See `if-match`.
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Root Schema : Connection
Type:
objectDetails of Connection.
Show Source
-
connectionShapeIdentifier(required): string
Connection Shape Identifier
-
createdBy: string
Created By
-
description: string
Minimum Length:
0Maximum Length:1024Description of the Connection. -
displayName(required): string
Connection name
-
identifier(required): string
Connection identifier
-
keywords: string
Minimum Length:
0Maximum Length:1024Keywords. -
lifecycleState(required): string
Allowed Values:
[ "DRAFT", "CONFIGURED", "CREATING", "UPDATING" ]The current state of the Connection. -
timeCreated: string
(date-time)
The time the Connection was created. An RFC3339 formatted datetime string.
-
timeUpdated: string
(date-time)
The time the Connection was last updated. An RFC3339 formatted datetime string
-
updatedBy: string
Updated By.
400 Response
Bad Request
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
401 Response
Unauthorized
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
404 Response
Not Found
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
429 Response
Too Many Requests
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
500 Response
Internal Server Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.
Default Response
Unknown Error
Headers
-
opc-request-id:
Unique Oracle-assigned identifier for the request. If you need to contact Oracle about a particular request, please provide the request ID.